# Uses of Class
javax.swing.event.DocumentEvent.EventType

Packages that use DocumentEvent.EventType
Package
Description
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of DocumentEvent.EventType in javax.swing.event

Fields in javax.swing.event declared as DocumentEvent.EventType
Modifier and Type
Field
Description
`static DocumentEvent.EventType`
DocumentEvent.EventType.`CHANGE`
Change type.
`static DocumentEvent.EventType`
DocumentEvent.EventType.`INSERT`
Insert type.
`static DocumentEvent.EventType`
DocumentEvent.EventType.`REMOVE`
Remove type.
Methods in javax.swing.event that return DocumentEvent.EventType
Modifier and Type
Method
Description
`DocumentEvent.EventType`
DocumentEvent.`getType()`
Gets the type of event.

## Uses of DocumentEvent.EventType in javax.swing.text

Methods in javax.swing.text that return DocumentEvent.EventType
Modifier and Type
Method
Description
`DocumentEvent.EventType`
AbstractDocument.DefaultDocumentEvent.`getType()`
Returns the type of event.
Constructors in javax.swing.text with parameters of type DocumentEvent.EventType
Modifier
Constructor
Description
``
`DefaultDocumentEvent​(int offs, int len, DocumentEvent.EventType type)`
Constructs a change record.